apt-get failure

Discussion in 'HOWTO-Related Questions' started by yap, Nov 19, 2006.

  1. yap

    yap New Member

    Hi,

    I followed the instructions of the The Perfect Setup - Ubuntu 6.06 LTS Server (Dapper Drake). Now I wantet to install PHP5 as described in the Perfect Setup. But when I run

    Code:
    apt-get install autoconf automake1.4 autotools-dev libapache2-mod-php5 php5 php5-common php5-curl php5-dev php5-gd php-pear php5-ldap php5-mhash php5-mysql php5-mysqli php5-snmp php5-sqlite php5-xmlrpc php5-xsl php5-imap php5-mcrypt php5-pspell
    I get this error:

    Code:
    Err http://security.ubuntu.com dapper-security/main php5-common 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main libapache2-mod-php5 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-cli 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php-pear 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-curl 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-dev 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-gd 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-ldap 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-mhash 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-mysqli 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-mysql 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-snmp 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-sqlite 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-xmlrpc 5.1.2-1ubuntu3.3
      404 Not Found
    Err http://security.ubuntu.com dapper-security/main php5-xsl 5.1.2-1ubuntu3.3
      404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-common_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/libapache2-mod-php5_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-cli_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php-pear_5.1.2-1ubuntu3.3_all.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5_5.1.2-1ubuntu3.3_all.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-curl_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-dev_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-gd_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-ldap_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-mhash_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-mysqli_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-mysql_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-snmp_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-sqlite_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-xmlrpc_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    Failed to fetch http://security.ubuntu.com/ubuntu/pool/main/p/php5/php5-xsl_5.1.2-1ubuntu3.3_amd64.deb  404 Not Found
    E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
    
    apt-get can't find all the packages on the servers. I used the same as descriped in the manual. I also tried apt-get update. How can I fix this failure? Can I use other package sources in the /etc/apt/sources.list?

    Thanks for your help.
     
  2. sjau

    sjau Local Meanie

    I think you have wrong sources in your /etc/apt/sources.list

    Try those:

    Code:
    deb http://security.ubuntu.com/ubuntu dapper-security mainuniverse
    deb-src http://security.ubuntu.com/ubuntu dapper-security main
    
     

Share This Page